=== modified file 'databas.sql'
--- databas.sql	2013-05-07 11:47:22 +0000
+++ databas.sql	2013-05-08 12:07:59 +0000
@@ -23,7 +23,7 @@
   `passwd` CHAR(40) NULL ,
   `passwdHint` CHAR(100) NULL ,
   `ssn` CHAR(13) NULL COMMENT 'yyyymmdd-xxxx' ,
-  `firstLogin` BIT NOT NULL DEFAULT 1, -- 1=true 0=false
+  `firstLogin` BIT(1) NOT NULL DEFAULT 1, -- 1=true 0=false
   `activeCourse` VARCHAR(10) NULL,
   `email` VARCHAR(128) NULL,
   PRIMARY KEY (`userName`) ,
@@ -83,11 +83,11 @@
   `categoryName` VARCHAR(64) NOT NULL ,
   `courseID` VARCHAR(10) NOT NULL ,
   `quizData` VARCHAR(45) NULL ,
-  `allowMultipleReplies` BIT NULL , -- 1=true and 0=false
-  `autoCorrected` BIT NULL , -- if the quiz is corrected by auto or if the teacher needs to do it manually., 1=true and 0=false
+  `allowMultipleReplies` BIT(1) NULL , -- 1=true and 0=false
+  `autoCorrected` BIT(1) NULL , -- if the quiz is corrected by auto or if the teacher needs to do it manually., 1=true and 0=false
   `openingDate` DATETIME NULL ,  -- time for the student to do the quiz
   `closingDate` DATETIME NULL ,
-  `updatedAt` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP , 
+  `updatedAt` TIMESTAMP ON UPDATE NOW() , 
   PRIMARY KEY (`quizNr`,  `subCategoryName`, `categoryName` , `courseID`) ,
     FOREIGN KEY (`subCategoryName`, `categoryName`, `courseID`)
     REFERENCES `lenasys`.`SubCategories` (`subCategoryName`, `categoryName`, `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
@@ -144,7 +144,7 @@
   `courseID` VARCHAR(10) NOT NULL ,
   `orderNr` INT NOT NULL , -- the order of the examples in the same category 
   `description` VARCHAR(200) NULL ,
-  `updatedAt` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP , 
+  `updatedAt` TIMESTAMP ON UPDATE NOW() , 
   PRIMARY KEY (`exampleName`, `subCategoryName`, `categoryName`, `courseID`) ,
     FOREIGN KEY (`subCategoryName`, `categoryName`, `courseID` )
     REFERENCES `lenasys`.`SubCategories` (`subCategoryName`,`categoryName`, `courseID` )ON UPDATE CASCADE ON DELETE CASCADE)
@@ -158,7 +158,7 @@
   `fileType` ENUM('Text', 'Code', 'Video', 'Picture') DEFAULT 'text' ,  -- text=1, code=2, video=3 picture=4
   `codeLanguage` VARCHAR(10) NULL , 									-- example: javascript, html, m.m.
   `dataBlob` BLOB NULL , 												-- This is where the binary file is stored. Searchable. 
-  `updatedAt` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP , 
+  `updatedAt` TIMESTAMP ON UPDATE NOW() , 
   PRIMARY KEY (`fileName`))
 ENGINE = InnoDB;
 -- -----------------------------------------------------
@@ -172,7 +172,7 @@
   `subCategoryName` VARCHAR(64) NOT NULL ,
   `categoryName` VARCHAR(64) NOT NULL ,
   `courseID` VARCHAR(10) NOT NULL ,
-  `executable` BIT , -- 1=true and 0=false
+  `executable` BIT(1) , -- 1=true and 0=false
   PRIMARY KEY (`columnNr`, `orderNr`, `fileName`,`exampleName`,`subCategoryName`, `categoryName`, `courseID`) ,
     FOREIGN KEY (`fileName` )
     REFERENCES `lenasys`.`Files` (`fileName` )ON UPDATE CASCADE ON DELETE CASCADE,
@@ -223,8 +223,8 @@
   `userAgent` VARCHAR(200) NOT NULL , -- web browser and version
   `userIP` VARCHAR(20) NOT NULL , --  ip-number
   `browserID` VARCHAR(64) NOT NULL , -- autogenerated id for local-storage
-  `loginTimeStamp` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP  ,
-  `success` BIT NOT NULL , -- 1=true and 0=false
+  `loginTimeStamp` TIMESTAMP ON UPDATE NOW()  ,
+  `success` BIT(1) NOT NULL , -- 1=true and 0=false
   PRIMARY KEY (`id`))
 ENGINE = InnoDB;
 -- -------------------------------------------------
@@ -336,12 +336,12 @@
 dolor est id elit. Pellentesque eu tellus sed sem molestie fringilla. Integer auctor arcu nec nunc pharetra non 
 consectetur augue viverra. Pellentesque lorem nisl, tristique sed lobortis et, tincidunt sit amet diam. Maecenas 
 lacinia laoreet ligula, eget pretium libero venenatis malesuada. Suspendisse eu velit in arcu consectetur dictum a quis orci. 
-Maecenas vulputate tincidunt odio sit amet interdum. Curabitur non ante tristique mi malesuada dictum at quis nunc. 
+Maecenas vulputate tincidunt odio sit amet interdum. CuraBIT(1)ur non ante tristique mi malesuada dictum at quis nunc. 
 Suspendisse ornare leo a elit egestas eu rutrum lorem cursus. Quisque sollicitudin, nisi eget consectetur auctor, 
 leo risus blandit eros, id aliquet purus tortor a turpis. Donec venenatis blandit est quis imperdiet. Sed mauris eros, 
 pharetra vitae tempus vel, pretium at purus.'),
 
-('exempel fil2',1,'html','Donec sed turpis ante, et dapibus augue. Pellentesque habitant morbi tristique 
+('exempel fil2',1,'html','Donec sed turpis ante, et dapibus augue. Pellentesque haBIT(1)ant morbi tristique 
 senectus et netus et malesuada fames ac turpis egestas. Sed at tellus ante. Nunc non dolor ipsum, quis lacinia felis. 
 Sed tristique, leo eu imperdiet laoreet, lacus lacus porta purus, quis laoreet nisi sem non orci. In non consequat enim. 
 Donec lacinia auctor convallis. Nulla facilisi. Nulla tortor mi, accumsan vel cursus nec, porta nec ante.

